Oops, forgot to uncomment usefull lines

This commit is contained in:
Boris Paing 2020-03-18 22:18:15 +01:00
parent c7d649b690
commit 5db26e0ecd
1 changed files with 17 additions and 8 deletions

View File

@ -311,7 +311,7 @@ do
output+="|\n"
#printf '%s\n' "silkaj -af --file ~/.ssb/secret.dunikey tx --output $g1_author --amountUD $author_amount --comment "Thx for your cool posts on ScuttleButt"
#silkaj -p "$duniter_server" -af --file ~/.ssb/secret.dunikey tx --output $g1_author --amountUD $author_amount --comment "Thx for your cool posts on ScuttleButt" -y 2>/dev/null
silkaj -p "$duniter_server" -af --file ~/.ssb/secret.dunikey tx --output $g1_author --amountUD $author_amount --comment "Thx for your cool posts on ScuttleButt" -y 2>/dev/null
printf "\n${bold}%s UDĞ1${normal} sent to %s!\n\n" "$author_amount" "${author_name:1:-1}"
@ -322,14 +322,14 @@ do
exit 1
fi
#if ! mv "$state_file"~ "$state_file"
#then
# msg_id=$(printf %s "$msg" | jq -r .key)
# printf 'Unable to write to state file. Update state file manually to prevent %s from being processed twice.\n' "$msg_id" >&2
# exit 1
#fi
if ! mv "$state_file"~ "$state_file"
then
msg_id=$(printf %s "$msg" | jq -r .key)
printf 'Unable to write to state file. Update state file manually to prevent %s from being processed twice.\n' "$msg_id" >&2
exit 1
fi
#sleep 20 # DO NOT OVER CHARGE DUNITER
sleep 20 # DO NOT OVER CHARGE DUNITER
done
printf "\n%s UDĞ1 sent to %s butts!\n\n" "$amountGiven" "$liked_authors_nb"
@ -372,3 +372,12 @@ printf "Then delete it.\n\n"
sleep 2
printf "...because it won't self-destruct, haha :D \n\n"
sleep 2
printf "PS: you might want to split the message into multiple responses, as the file size might be higher than what is accepted by ScuttleButt.\n\n"
sleep 2
printf "PPS: if you split the table, don't forget to copy/paste headers ;-)\n\n"